
set serveroutput on
set echo on

SELECT sid
,      TO_CHAR(SYSDATE,'HH24:MI:SS') AS time
FROM   v$mystat
WHERE  ROWNUM = 1;

DECLARE
   c_id CONSTANT VARCHAR2(100) := 'SCOTT.DEMO_ANON';
BEGIN
   log_pkg.start_log(c_id, 2);
   FOR i in 1 .. 10 LOOP
      log_pkg.log(c_id, 'Logging on iteration ' || i, 5);
      DBMS_LOCK.SLEEP(1);
   END LOOP;
   --log_pkg.end_log(c_id); --<-- leave context set for demo
END;
/

SELECT namespace
,      attribute
,      value
FROM   global_context;

