
set echo on
col namespace format a10
col attribute format a30
col value format a10

DECLARE
   v_id VARCHAR2(100);
BEGIN
   v_id := log_pkg.start_log('SCOTT.DEMO_ANON', &1);
   FOR i in 1 .. 10 LOOP
      log_pkg.log(v_id, 'Logging on iteration ' || i, 5);
      DBMS_LOCK.SLEEP(1);
   END LOOP;
   log_pkg.end_log(v_id);
END;
/

SELECT namespace
,      attribute
,      value
FROM   global_context;

